Marcar publicações como vistas
curl --request POST \
--url https://api.wabox.me/instances/{instance_id}/token/{token}/newsletters/{id}/read \
--header 'Content-Type: application/json' \
--data '
{
"server_ids": [
118,
119
]
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({server_ids: [118, 119]})
};
fetch('https://api.wabox.me/instances/{instance_id}/token/{token}/newsletters/{id}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wabox.me/instances/{instance_id}/token/{token}/newsletters/{id}/read"
payload = { "server_ids": [118, 119] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wabox.me/instances/{instance_id}/token/{token}/newsletters/{id}/read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'server_ids' => [
118,
119
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wabox.me/instances/{instance_id}/token/{token}/newsletters/{id}/read"
payload := strings.NewReader("{\n \"server_ids\": [\n 118,\n 119\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"read": true
}{
"error": {
"code": "instance_not_found",
"message": "Instance not found or invalid token"
}
}{
"error": {
"code": "subscription_required",
"message": "Trial expired or subscription inactive. Subscribe in the dashboard to keep sending."
}
}{
"error": {
"code": "instance_not_connected",
"message": "Instance is not connected"
}
}Body { "server_ids": [118, 119] } (até 100 por chamada). Imediata: exige a instância conectada (caso contrário, 409 instance_not_connected).
POST
/
instances
/
{instance_id}
/
token
/
{token}
/
newsletters
/
{id}
/
read
Marcar publicações como vistas
Path Parameters
Id da instância (dashboard › instância › Credenciais).
Token da instância. Trate como senha.
Id do canal (<id>@newsletter).
Example:
"120363999999999999@newsletter"
Body
application/json
Required array length:
1 - 100 elementsRequired range:
0 <= x <= 9007199254740991Response
Publicações marcadas como vistas.